/*
 *      Copyright (c) 2004-2010 YAMJ Members
 *      http://code.google.com/p/moviejukebox/people/list 
 *  
 *      Web: http://code.google.com/p/moviejukebox/
 *  
 *      This software is licensed under a Creative Commons License
 *      See this page: http://code.google.com/p/moviejukebox/wiki/License
 *  
 *      For any reuse or distribution, you must make clear to others the 
 *      license terms of this work.  
 */
package com.moviejukebox.tvrage.model;

import com.moviejukebox.tvrage.TVRage;
import static com.moviejukebox.tvrage.tools.StringTools.*;

/**
 * Class to hold country along with a generic detail string
 * @author Stuart.Boston
 *
 */
public class CountryDetail {
    private static final String UNKNOWN = TVRage.UNKNOWN;
	private String country;
	private String detail;
	
	public CountryDetail() {
        setCountry(UNKNOWN);
        setDetail(UNKNOWN);
	}
	
	public CountryDetail(String country, String detail) {
	    setCountry(country);
	    setDetail(detail);
	}
	
	public String getCountry() {
		return country;
	}
	
	public void setCountry(String country) {
	    if (isValidString(country)) {
	        this.country = country.trim();
	    } else {
	        this.country = UNKNOWN;
	    }
	}
	
	public String getDetail() {
		return detail;
	}
	
	public void setDetail(String detail) {
        if (isValidString(detail)) {
            this.detail = detail.trim();
        } else {
            this.detail = UNKNOWN;
        }
	}
	
	@Override
	public String toString() {
	    StringBuffer sb = new StringBuffer();
	    sb.append("Country: " + country + ", ");
	    sb.append("Detail: " + detail);
	    return sb.toString();
	}

	public boolean isValid() {
	    if (!isValidString(country)) {
	        return false;
	    }
	    
	    if (!isValidString(detail)) {
	        return false;
	    }
	    
	    return true;
	}
}
